using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PixelDragons.Framework.Controls.ColourPicker;

namespace PixelDragons.Samples.ColourPicker
{
    public partial class Sample : Form
    {
        public Sample()
        {
            InitializeComponent();
        }

        private void _pickColour_Click(object sender, EventArgs e)
        {
            ColourPickerDialog colourPicker = new ColourPickerDialog(); 
            colourPicker.Title = "Please pick a colour";
            colourPicker.Colour = _selectedColour.BackColor; 
            colourPicker.ShowAlphaControls = true; 
            
            if (colourPicker.ShowDialog() == DialogResult.OK) 
            {
                _selectedColour.BackColor = colourPicker.Colour; 
            }
        }

        private void _pickColour2_Click(object sender, EventArgs e)
        {
            ColourPickerDialog colourPicker = new ColourPickerDialog();
            colourPicker.Title = "Please pick a colour";
            colourPicker.Colour = _selectedColour2.BackColor;
            colourPicker.ShowAlphaControls = false;

            if (colourPicker.ShowDialog() == DialogResult.OK)
            {
                _selectedColour2.BackColor = colourPicker.Colour;
            }
        }
    }
}